
SUFFIXES =
#CLEANFILES = *.orig */*.orig */*/*.orig */*/*/*.orig
CLEANFILES = $(patsubst %,%.orig, $(HEADERS) $(SOURCES)) *~ gfilt

include $(top_srcdir)/config/mk/doc.mk
include $(top_srcdir)/config/mk/ice.mk
include $(top_srcdir)/config/mk/qt.mk
#include $(top_srcdir)/config/mk/image.mk
include $(top_srcdir)/config/mk/nice.mk
include $(top_srcdir)/config/mk/basda.mk
include $(top_srcdir)/config/mk/dist.mk

DOXYGENFILES = $(HEADERS) $(filter %.ice, $(DIST_SOURCES)) $(SOURCES)

#all-local: all-local-ice all-local-qt all-local-image

clean-local: clean-local-dist clean-local-ice clean-local-qt

PRJROOT:
	@list='${sysconfdir} ${bindir} ${libdir} ${includedir} ${prefix}/slice ${prefix}/python'; \
        for i in $$list; do \
             if ! test -d  $(DESTDIR)$$i; then $(mkdir_p) $(DESTDIR)$$i; fi; \
        done;

install-data-hook: install-data-hook-dist install-data-hook-ice install-data-hook-basda

uninstall-hook: uninstall-data-hook-dist uninstall-hook-ice uninstall-hook-qt uninstall-data-hook-basda



